Skip to main content
GET
/
v1
/
products
/
{id}
Get a product
curl --request GET \
  --url https://dev.flextell.ai/api/v1/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "name": "<string>",
    "full_name": "<string>",
    "barcode": "<string>",
    "description": "<string>",
    "product_category_id": 123,
    "product_brand_id": 123,
    "product_type_id": 123,
    "base_unit_code_id": 123,
    "stock_tracking_mode": "<string>",
    "inner_unit_count": 123,
    "base_unit_per_inner": 123,
    "critical_stock_level": 123,
    "invoice_name": "<string>",
    "price": 123,
    "tax_rate": 123,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z",
    "import_source": {
      "id": 123,
      "name": "<string>"
    },
    "brand": {
      "id": 123,
      "name": "<string>"
    },
    "product_type": {
      "id": 123,
      "name": "<string>",
      "category": "<string>"
    },
    "category": {
      "id": 123,
      "name": "<string>"
    },
    "unit_code": {
      "id": 123,
      "name": "<string>",
      "code": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The product identifier

Response

success
string
required
data
ProductResource · object
required